Index: TXM/trunk/org.txm.ruby.rcp/build.properties
===================================================================
--- TXM/trunk/org.txm.ruby.rcp/build.properties	(revision 0)
+++ TXM/trunk/org.txm.ruby.rcp/build.properties	(revision 3332)
@@ -0,0 +1,5 @@
+source.. = src/
+output.. = bin/
+bin.includes = META-INF/,\
+               .,\
+               plugin.xml

Property changes on: TXM/trunk/org.txm.ruby.rcp/build.properties
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: TXM/trunk/org.txm.ruby.rcp/plugin.xml
===================================================================
--- TXM/trunk/org.txm.ruby.rcp/plugin.xml	(revision 0)
+++ TXM/trunk/org.txm.ruby.rcp/plugin.xml	(revision 3332)
@@ -0,0 +1,14 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<?eclipse version="3.4"?>
+<plugin>
+   <extension
+         point="org.eclipse.ui.preferencePages">
+      <page
+            category="org.txm.rcp.preferences.ScriptPreferencePage"
+            class="org.txm.ruby.rcp.RubyPreferencesPage"
+            id="org.txm.ruby.rcp.RubyPreferencesPage"
+            name="Ruby">
+      </page>
+   </extension>
+
+</plugin>

Property changes on: TXM/trunk/org.txm.ruby.rcp/plugin.xml
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: TXM/trunk/org.txm.ruby.rcp/.settings/org.eclipse.jdt.core.prefs
===================================================================
--- TXM/trunk/org.txm.ruby.rcp/.settings/org.eclipse.jdt.core.prefs	(revision 0)
+++ TXM/trunk/org.txm.ruby.rcp/.settings/org.eclipse.jdt.core.prefs	(revision 3332)
@@ -0,0 +1,7 @@
+eclipse.preferences.version=1
+org.eclipse.jdt.core.compiler.codegen.inlineJsrBytecode=enabled
+org.eclipse.jdt.core.compiler.codegen.targetPlatform=1.8
+org.eclipse.jdt.core.compiler.compliance=1.8
+org.eclipse.jdt.core.compiler.problem.assertIdentifier=error
+org.eclipse.jdt.core.compiler.problem.enumIdentifier=error
+org.eclipse.jdt.core.compiler.source=1.8

Property changes on: TXM/trunk/org.txm.ruby.rcp/.settings/org.eclipse.jdt.core.prefs
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: TXM/trunk/org.txm.ruby.rcp/.classpath
===================================================================
--- TXM/trunk/org.txm.ruby.rcp/.classpath	(revision 0)
+++ TXM/trunk/org.txm.ruby.rcp/.classpath	(revision 3332)
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<classpath>
+	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.8"/>
+	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins">
+		<accessrules>
+			<accessrule kind="accessible" pattern="**"/>
+		</accessrules>
+	</classpathentry>
+	<classpathentry kind="src" path="src"/>
+	<classpathentry kind="output" path="bin"/>
+</classpath>

Property changes on: TXM/trunk/org.txm.ruby.rcp/.classpath
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: TXM/trunk/org.txm.ruby.rcp/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.ruby.rcp/META-INF/MANIFEST.MF	(revision 0)
+++ TXM/trunk/org.txm.ruby.rcp/META-INF/MANIFEST.MF	(revision 3332)
@@ -0,0 +1,11 @@
+Manifest-Version: 1.0
+Bundle-ManifestVersion: 2
+Bundle-Name: org.txm.ruby.rcp
+Bundle-SymbolicName: org.txm.ruby.rcp;singleton:=true
+Bundle-Version: 1.0.0.qualifier
+Bundle-Vendor: textometrie.org
+Automatic-Module-Name: org.txm.ruby.rcp
+Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Require-Bundle: org.txm.rcp;bundle-version="0.8.2",
+ org.txm.ruby.core;bundle-version="1.0.0";visibility:=reexport
+Export-Package: org.txm.ruby.rcp

Property changes on: TXM/trunk/org.txm.ruby.rcp/META-INF/MANIFEST.MF
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: TXM/trunk/org.txm.ruby.rcp/.project
===================================================================
--- TXM/trunk/org.txm.ruby.rcp/.project	(revision 0)
+++ TXM/trunk/org.txm.ruby.rcp/.project	(revision 3332)
@@ -0,0 +1,28 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<projectDescription>
+	<name>org.txm.ruby.rcp</name>
+	<comment></comment>
+	<projects>
+	</projects>
+	<buildSpec>
+		<buildCommand>
+			<name>org.eclipse.jdt.core.javabuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+		<buildCommand>
+			<name>org.eclipse.pde.ManifestBuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+		<buildCommand>
+			<name>org.eclipse.pde.SchemaBuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+	</buildSpec>
+	<natures>
+		<nature>org.eclipse.pde.PluginNature</nature>
+		<nature>org.eclipse.jdt.core.javanature</nature>
+	</natures>
+</projectDescription>

Property changes on: TXM/trunk/org.txm.ruby.rcp/.project
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: TXM/trunk/org.txm.ruby.rcp/src/org/txm/ruby/rcp/RubyPreferencesPage.java
===================================================================
--- TXM/trunk/org.txm.ruby.rcp/src/org/txm/ruby/rcp/RubyPreferencesPage.java	(revision 0)
+++ TXM/trunk/org.txm.ruby.rcp/src/org/txm/ruby/rcp/RubyPreferencesPage.java	(revision 3332)
@@ -0,0 +1,32 @@
+package org.txm.ruby.rcp;
+
+import org.eclipse.jface.preference.StringFieldEditor;
+import org.eclipse.ui.IWorkbench;
+import org.txm.ruby.core.RubyPreferences;
+import org.txm.rcp.IImageKeys;
+import org.txm.rcp.preferences.TXMPreferencePage;
+import org.txm.rcp.preferences.TXMPreferenceStore;
+
+/**
+ * Index preferences page.
+ * 
+ * @author mdecorde
+ *
+ */
+public class RubyPreferencesPage extends TXMPreferencePage {
+	
+	@Override
+	public void init(IWorkbench workbench) {
+		
+		this.setPreferenceStore(new TXMPreferenceStore(RubyPreferences.getInstance().getPreferencesNodeQualifier()));
+		this.setTitle("Ruby");
+		this.setImageDescriptor(IImageKeys.getImageDescriptor("org.txm.ruby.rcp", "icon/ruby.png"));
+	}
+	
+	@Override
+	protected void createFieldEditors() {
+		this.addField(new StringFieldEditor(RubyPreferences.HOME, "Ruby Home", this.getFieldEditorParent()));
+		
+		this.addField(new StringFieldEditor(RubyPreferences.EXECUTABLE_FILENAME, "Ruby executable name", this.getFieldEditorParent()));
+	}
+}

Property changes on: TXM/trunk/org.txm.ruby.rcp/src/org/txm/ruby/rcp/RubyPreferencesPage.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: TXM/trunk/org.txm.ruby.rcp/icon/ruby.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: TXM/trunk/org.txm.ruby.rcp/icon/ruby.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

